Description

it might be useful when somebidy wants to do bulk entering of many issues at once, but normally, the current behaviour of redmine to

show a "new issue" page with no data after saving an entry is confusing.

It would be better to show the user a page with the data he just entered into the new issue, to let him check the data and give him

proper feedback that his entry is saved.

History

#1 - 2010-02-14 14:45 - Henning Sprang

and yes, when looking twice at it, there's a small green bar saying "creation successful" - but no, i don't think, this is clear enough!

It's realy a much better feedback to see the full entry. and giving the reporter a chance to check back what he entered, eventually make corections or

additions.

#2 - 2010-02-14 15:32 - Felix Schäfer

I'm not sure what seems to be the problem. When creating a new issue, you have two buttons at the bottom of the form: Create and Create and

continue. The first one takes you to the newly created issue, what seems to be what you describe as the desirable behavior, and the second is meant

for "bulk entering" in that it takes you back to the new issue page including a notification of the successful creation of the previously entered issue.

#3 - 2010-02-14 15:55 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

The default behaviour (eg. if you hit enter from the issue form or if you click the first submit button 'Save') is what you need.

#4 - 2010-02-15 12:07 - Henning Sprang

Oh, right. It seems I did not understand the meaning of "create and continue" and didn't even realize the second button.

Actuall, I like the possibility of bulk issue entering, e.g. for a project start so I'm not voting for removing this extra button.

But: I still believe it isn't really intuitive or obvious what it is for!

So it might it be useful to change the wording on the button like "Create and enter another issue"?

Somehow, this one seems too long, and I don't have a better idea yet, but I really think it should be made clearer!

#5 - 2010-02-16 15:01 - Henning Sprang

- File Screenshot-1.png added

- Status changed from Closed to Reopened

Another thing I reealized:

The reason why I always hit the "create and continue" button is, because it's in line with my mouse movements. would the "create" butten be directly

below the entry fields, I woulöd have hit that.

I'd vote to place teh buttons better in line with the other entry fields - see the attached screenshot where I changed it how I think it should be.

It might be a lot of work to implement that for such a small usability enhancement,. but I'd be happy if you'd consider this change.

(I might also take some more time and look into the redmine html generation code and template and post a solution for this, so please don't just close
it...)

#6 - 2010-07-10 23:40 - Felix Schäfer

- Status changed from Reopened to Closed

All buttons are left-aligned on all forms. This is probably something you could solve through CSS in a custom theme.

Files
